#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	24.12.1
%define		qt_ver		6.6.0
%define		kf_ver		6.3.0
%define		kaname		arianna
Summary:	An ebook reader
Summary(pl.UTF-8):	Czytnik e-booków
Name:		ka6-%{kaname}
Version:	24.12.1
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	2b0f0b14cef1dedc6555becc4d70a223
URL:		https://kde.org/arianna/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6HttpServer-devel >= %{qt_ver}
BuildRequires:	Qt6Network-devel >= %{qt_ver}
BuildRequires:	Qt6Qml-devel >= %{qt_ver}
BuildRequires:	Qt6Quick-devel >= %{qt_ver}
BuildRequires:	Qt6Sql-devel >= %{qt_ver}
BuildRequires:	Qt6Svg-devel >= %{qt_ver}
BuildRequires:	Qt6Test-devel >= %{qt_ver}
BuildRequires:	Qt6WebChannel-devel >= %{qt_ver}
BuildRequires:	Qt6WebEngine-devel >= %{qt_ver}
BuildRequires:	Qt6WebSockets-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	Qt6Xml-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.16
BuildRequires:	gettext-tools
BuildRequires:	kf6-baloo-devel >= %{kf_ver}
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-karchive-devel >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kdbusaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kfilemetadata-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kirigami-addons-devel >= 1.4.0
BuildRequires:	kf6-kirigami-devel >= %{kf_ver}
BuildRequires:	kf6-kquickcharts-devel >= %{kf_ver}
BuildRequires:	kf6-kwindowsystem-devel >= %{kf_ver}
BuildRequires:	kf6-qqc2-desktop-style-devel
# C++17
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6HttpServer >= %{qt_ver}
Requires:	Qt6Network >= %{qt_ver}
Requires:	Qt6Qml >= %{qt_ver}
Requires:	Qt6Quick >= %{qt_ver}
Requires:	Qt6Sql >= %{qt_ver}
Requires:	Qt6Svg >= %{qt_ver}
Requires:	Qt6WebChannel >= %{qt_ver}
Requires:	Qt6WebEngine >= %{qt_ver}
Requires:	Qt6WebSockets >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	Qt6Xml >= %{qt_ver}
Requires:	kf6-baloo >= %{kf_ver}
Requires:	kf6-karchive >= %{kf_ver}
Requires:	kf6-kconfig >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-kdbusaddons >= %{kf_ver}
Requires:	kf6-kfilemetadata >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kirigami >= %{kf_ver}
Requires:	kf6-kirigami-addons >= 1.4.0
Requires:	kf6-kquickcharts >= %{kf_ver}
Requires:	kf6-kwindowsystem >= %{kf_ver}
Requires:	kf6-qqc2-desktop-style
Obsoletes:	ka5-arianna < 24
# limited by Qt6WebEngine
ExclusiveArch:	%{x8664} aarch64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Arianna is an ebook reader.

%description -l pl.UTF-8
Arianna to czytnik e-booków.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/arianna
%{_desktopdir}/org.kde.arianna.desktop
%{_iconsdir}/hicolor/scalable/apps/org.kde.arianna.svg
%{_datadir}/metainfo/org.kde.arianna.appdata.xml
%{_datadir}/qlogging-categories6/arianna.categories
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-arianna.git;a=log;h=master

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e8c8537
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4a8d46a
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 27d5fb0
- updated to 24.08.3

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> e9bcb4b
- updated dependencies

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> d25a76f
- proper EA list

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 3bf7ef5
- cleanup

* Sat Oct 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1451dbf
- exlcuding i686 and x32 due to no QtWebEngine available

* Sat Oct 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 25a6d17
- BR: kf6-kirigami-addons-devel

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a4f69f5
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d14115a
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8f9b7e2
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d96ff55
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 31b75a8
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3401b06
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 26f47ed
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> eb32763
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 377b62e
- updated to 24.02.0

